import Vue from 'vue'
import Router from 'vue-router'
import HelloWorld from '@/components/HelloWorld'
import Login from '@/components/Login'
import home from '@/components/home'
import Enroll from '@/components/Enroll'
import index from '@/components/child/index'
import Aideindex from '@/components/child/Aideindex'
import Marketindex from '@/components/child/Marketindex'
import financeindex from '@/components/child/financeindex'
import Globalindex from '@/components/child/Globalindex'
import Generalindex from '@/components/child/Generalindex'
import AuthorityJob from '@/components/child/AuthorityJob'
import Controltree from '@/components/child/Controltree'
import Company from '@/components/system/Company'
import AuthorityUser from '@/components/child/AuthorityUser'
import PageConfig from '@/components/child/PageConfig'
import Carguide from '@/components/OP/Carguide'
import Groupedit from '@/components/OP/Groupedit'
import OPgroup from '@/components/OP/OPgroup'
import Tourguide from '@/components/OP/Tourguide'
import Department from '@/components/system/Department'
import User from '@/components/system/User'
import JobPost from '@/components/system/JobPost'
import CarData from '@/components/Resource/CarData'
import CarDataAdd from '@/components/Resource/CarDataAdd'
import CarDataEdit from '@/components/Resource/CarDataEdit'
import Customerdata from '@/components/materials/Customerdata'
import LocalGuide from '@/components/Resource/LocalGuide'
import LocalGuideOperation from '@/components/Resource/LocalGuideOperation'
import ThreeCode from '@/components/Resource/ThreeCode'
import ThreeCodeOperation from '@/components/Resource/ThreeCodeOperation'
import HotelData from '@/components/Resource/HotelData'
import visaform from '@/components/OP/visaform'
import PageFun from '@/components/child/PageFunction'
import HotelDataOperation from '@/components/Resource/HotelDataOperation'
import visaEdit from '@/components/OP/visaEdit'
import CountryFeeCost from '@/components/Resource/CountryFeeCost'
import CountryFeeCostOperation from '@/components/Resource/CountryFeeCostOperation'
import SetDataType from '@/components/system/SetDataType';
import SetData from '@/components/system/SetData';
import CustomerCompany from '@/components/Crm/CustomerCompany';
import DeleClient from '@/components/Crm/DeleClient';
import Cost from '@/components/Finance/Cost';
import MCR from '@/components/MCR/MarketCustomerResourcesHome';
import MCROper from '@/components/MCR/MarketCustomerResourcesOperation';
import OCRIdentify from '@/components/OP/OCRIdentify';
import GroupsTaskAssignment from '@/components/OP/GroupsTaskAssignment';
import DailyFeePayment from '@/components/Finance/DailyFeePayment';
import DailyFeeedit from '@/components/Finance/DailyFeeedit';
import GPTindex from '@/components/GPT/GPTindex';
import ExpenseReview from '@/components/Finance/ExpenseReview';
import FeesPage from '@/components/Finance/FeesPage';
import AirTicketAgent from '@/components/Resource/AirTicketAgent';
import AirTicketRes from '@/components/OP/AirTicketRes';
import OpAirTicketRes from '@/components/OP/OpAirTicketRes';
import DecreasePayments from '@/components/OP/DecreasePayments';
import OpDecreasePayments from '@/components/OP/OpDecreasePayments';
import Richtext from '@/components/GPT/Richtext';
import Currency from '@/components/Finance/Currency';
import PaymentFiled from '@/components/Finance/PaymentFiled';
import Collection from '@/components/Finance/Collection';
import InvitationOfficialActivities from '@/components/OP/InvitationOfficialActivities'
import OpInvitationOfficialActivities from '@/components/OP/OpInvitationOfficialActivities';
import InvitationOfficialActivityData from '@/components/Resource/InvitationOfficialActivityData';
import OpInvitationOfficialActivityData from '@/components/Resource/OpInvitationOfficialActivityData';
import OfficialActivities from '@/components/Resource/OfficialActivities'
import OpOfficialActivities from '@/components/Resource/OpOfficialActivities'
import AskData from '@/components/Resource/AskData'
import OpAskData from '@/components/Resource/OpAskData'
import HotelReservations from '@/components/OP/HotelReservations'
import DelegationEnData from '@/components/OP/DelegationEnData'
import OpDelegationEnData from '@/components/OP/OpDelegationEnData'
import invitationLetter from '@/components/Resource/invitationLetter'
import EntryDetails from '@/components/OP/EntryDetails'
import TicketBlackCode from '@/components/Resource/TicketBlackCode'
import OpTicketBlackCode from '@/components/Resource/OpTicketBlackCode'
import Payroll from '@/components/system/Payroll';
import VisaPriec from '@/components/OP/VisaPriec';
import OpVisaPriec from '@/components/OP/OpVisaPriec';
import GroundDetailedfees from '@/components/Resource/GroundDetailedfees';
import SetWorking from '@/components/system/SetWorking';
import ThreeStandards from '@/components/OP/ThreeStandards'
import OpLtinerary from '@/components/OP/OpLtinerary'
import CarTouristGuideGroundId from '@/components/OP/CarTouristGuideGroundId'
import OpCarTouristGuideGroundId from '@/components/OP/OpCarTouristGuideGroundId'
import CarTouristGuideGrounContent from '@/components/OP/CarTouristGuideGrounContent'
import PayReceived from '@/components/Finance/PayReceived';
import LncomingBills from '@/components/Finance/LncomingBills';
import GroupStatus from '@/components/Finance/GroupStatus';
import Sendack from '@/components/Finance/Sendack';
import Groupreports from '@/components/statistics/Groupreports';
import Customers from '@/components/OP/Customers';
import OpCustomers from '@/components/OP/OpCustomers';
import Reportstbale from '@/components/statistics/Reportstbale';
import PickupList from '@/components/OP/PickupList';
import TaskList from '@/components/system/TaskList';
import AssignTasks from '@/components/system/AssignTasks';
import MyTasksinif from '@/components/system/MyTasksinif';
import test from '@/components/child/test';
import Statistically from '@/components/statistics/Statistically';
import RvsReport from '@/components/Finance/RvsReport';
import Overspend from '@/components/Finance/Overspend';
import Overspendedit from '@/components/Finance/Overspendedit';
import backwardtabke from '@/components/OP/backwardtabke'
import royaltypg from '@/components/Finance/royaltypg';


Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Login',
      component: Login
    },
    {
      path: '/home',
      name: 'home',
      component: home,
      children: [
        {
          path: '/home/index',
          name: 'index',
          component: index
        },
        {
          path: '/home/Generalindex',
          name: 'Generalindex',
          component: Generalindex
        },
        {
          path: '/home/Aideindex',
          name: 'Aideindex',
          component: Aideindex
        },
        {
          path: '/home/Marketindex',
          name: 'Marketindex',
          component: Marketindex
        },
        {
          path: '/home/financeindex',
          name: 'financeindex',
          component: financeindex
        },
        {
          path: '/home/Globalindex',
          name: 'financeindex',
          component: Globalindex
        },
        {
          path: '/home/AuthorityJob',
          name: 'AuthorityJob',
          component: AuthorityJob
        },
        {
          path: '/home/AuthorityUser',
          name: 'AuthorityUser',
          component: AuthorityUser
        },
        {
          path: '/home/Carguide',
          name: 'Carguide',
          component: Carguide
        },
        {
          path: '/home/Controltree',
          name: 'Controltree',
          component: Controltree
        },
        {
          path: '/home/Company',
          name: 'Company',
          component: Company
        },
        {
          path: '/home/PageConfig',
          name: 'PageConfig',
          component: PageConfig
        },
        {
          path: '/home/Department',
          name: 'Department',
          component: Department
        },
        {
          path: '/home/Groupedit',
          name: 'Groupedit',
          component: Groupedit,
          // meta: {
          //   keepAlive: false, //此组件需要被缓存
          //   isBack:false, //用于判断上一个页面是哪个
          // }
        }, {
          path: '/home/OPgroup',
          name: 'OPgroup',
          component: OPgroup,
          // meta: {
          //   keepAlive: true, //此组件需要被缓存
          //   isBack:false, //用于判断上一个页面是哪个
          // }
        }, {
          path: '/home/Tourguide',
          name: 'Tourguide',
          component: Tourguide
        }, {
          path: '/home/User',
          name: 'User',
          component: User
        }, {
          path: '/home/JobPost',
          name: 'JobPost',
          component: JobPost
        }, {
          path: '/home/CarData',
          name: 'CarData',
          component: CarData
        }, {
          path: '/home/CarDataAdd',
          name: 'CarDataAdd',
          component: CarDataAdd
        }, {
          path: '/home/CarDataEdit',
          name: 'CarDataEdit',
          component: CarDataEdit
        },
        {
          path: '/home/LocalGuide',
          name: 'LocalGuide',
          component: LocalGuide
        }, {
          path: '/home/LocalGuideOperation',
          name: 'LocalGuideOperation',
          component: LocalGuideOperation
        },
        {
          path: '/home/Customerdata',
          name: 'Customerdata',
          component: Customerdata
        },
        {
          path: '/home/ThreeCode',
          name: 'ThreeCode',
          component: ThreeCode
        },
        {
          path: '/home/ThreeCodeOperation',
          name: 'ThreeCodeOperation',
          component: ThreeCodeOperation
        },
        {
          path: '/home/HotelData',
          name: 'HotelData',
          component: HotelData
        },
        {
          path: '/home/visaform',
          name: 'visaform',
          component: visaform
        },
        {

          path: '/home/PageFun',
          name: 'PageFun',
          component: PageFun
        },
        {
          path: '/home/HotelDataOperation',
          name: 'HotelDataOperation',
          component: HotelDataOperation
        },
        {
          path: '/home/visaEdit',
          name: 'visaEdit',
          component: visaEdit
        },
        {
          path: '/home/CountryFeeCost',
          name: 'CountryFeeCost',
          component: CountryFeeCost
        },
        {
          path: '/home/CountryFeeCostOperation',
          name: 'CountryFeeCostOperation',
          component: CountryFeeCostOperation
        },
        {
          path: '/home/SetDataType',
          name: 'SetDataType',
          component: SetDataType
        },
        {
          path: '/home/SetData',
          name: 'SetData',
          component: SetData
        },
        {
          path: '/home/CustomerCompany',
          name: 'CustomerCompany',
          component: CustomerCompany
        },
        {
          path: '/home/DeleClient',
          name: 'DeleClient',
          component: DeleClient
        },
        {
          path: '/home/Cost',
          name: 'Cost',
          component: Cost
        },
        {
          path: '/home/MCR',
          name: 'MCR',
          component: MCR
        },
        {
          path: '/home/MCROper',
          name: 'MCROper',
          component: MCROper
        },
        {
          path: '/home/OCRIdentify',
          name: 'Cost',
          component: OCRIdentify
        },
        {
          path: '/home/GroupsTaskAssignment',
          name: 'GroupsTaskAssignment',
          component: GroupsTaskAssignment
        },
        {
          path: '/home/DailyFeePayment',
          name: 'DailyFeePayment',
          component: DailyFeePayment,
          // meta: {
          //   keepAlive: true, //此组件需要被缓存
          //   isBack:false, //用于判断上一个页面是哪个
          // }
        },
        {
          path: '/home/DailyFeeedit',
          name: 'DailyFeeedit',
          component: DailyFeeedit
        },
        {
          path: '/home/GPTindex',
          name: 'GPTindex',
          component: GPTindex
        },
        {
          path: '/home/ExpenseReview',
          name: 'ExpenseReview',
          component: ExpenseReview,
          meta: {
            keepAlive: true, //此组件需要被缓存
            isBack:false, //用于判断上一个页面是哪个
          }
        },
        {
          path: '/home/FeesPage',
          name: 'FeesPage',
          component: FeesPage
        },
        {
          path: '/home/AirTicketAgent',
          name: 'AirTicketAgent',
          component: AirTicketAgent
        },
        {
          path: '/home/AirTicketRes',
          name: 'AirTicketRes',
          component: AirTicketRes
        },
        {
          path: '/home/OpAirTicketRes',
          name: 'OpAirTicketRes',
          component: OpAirTicketRes
        },
        {
          path: '/home/DecreasePayments',
          name: 'DecreasePayments',
          component: DecreasePayments
        },
        {
          path: '/home/OpDecreasePayments',
          name: 'OpDecreasePayments',
          component: OpDecreasePayments
        },
        {
          path: '/home/Richtext',
          name: 'Richtext',
          component: Richtext
        },
        {
          path: '/home/Currency',
          name: 'Currency',
          component: Currency
        },
        {
          path: '/home/PaymentFiled',
          name: 'PaymentFiled',
          component: PaymentFiled
        },
        {
          path: '/home/Collection',
          name: 'Collection',
          component: Collection
        },
        {
          path: '/home/InvitationOfficialActivities',
          name: 'InvitationOfficialActivities',
          component: InvitationOfficialActivities,
          // meta: {
          //   keepAlive: true, //此组件需要被缓存
          //   isBack:false, //用于判断上一个页面是哪个
          // }
        },
        {
          path: '/home/OpInvitationOfficialActivities',
          name: 'OpInvitationOfficialActivities',
          component: OpInvitationOfficialActivities
        },
        {
          path: '/home/InvitationOfficialActivityData',
          name: 'InvitationOfficialActivityData',
          component: InvitationOfficialActivityData
        },
        {
          path: '/home/OpInvitationOfficialActivityData',
          name: 'OpInvitationOfficialActivityData',
          component: OpInvitationOfficialActivityData
        },
        {
          path: '/home/OfficialActivities',
          name: 'OfficialActivities',
          component: OfficialActivities
        },
        {
          path: '/home/OpOfficialActivities',
          name: 'OpOfficialActivities',
          component: OpOfficialActivities
        },
        {
          path: '/home/AskData',
          name: 'AskData',
          component: AskData
        },
        {
          path: '/home/OpAskData',
          name: 'OpAskData',
          component: OpAskData
        },
        {
          path: '/home/DelegationEnData',
          name: 'DelegationEnData',
          component: DelegationEnData
        },
        {
          path: '/home/OpDelegationEnData',
          name: 'OpDelegationEnData',
          component: OpDelegationEnData
        },
        {
          path: '/home/invitationLetter',
          name: 'invitationLetter',
          component: invitationLetter
        },
        {
          path: '/home/TicketBlackCode',
          name: 'TicketBlackCode',
          component: TicketBlackCode,
          // meta: {
          //   keepAlive: true, //此组件需要被缓存
          //   isBack:false, //用于判断上一个页面是哪个
          // }
        },
        {
          path: '/home/OpTicketBlackCode',
          name: 'OpTicketBlackCode',
          component: OpTicketBlackCode
        },
        {
          path: '/home/HotelReservations',
          name: 'HotelReservations',
          component: HotelReservations
        },
        {
          path: '/home/EntryDetails',
          name: 'EntryDetails',
          component: EntryDetails
        },
        {
          path: '/home/Payroll',
          name: 'Payroll',
          component: Payroll
        },
        {
          path: '/home/VisaPriec',
          name: 'VisaPriec',
          component: VisaPriec
        },
        {
          path: '/home/OpVisaPriec',
          name: 'OpVisaPriec',
          component: OpVisaPriec
        },
        {
          path: '/home/GroundDetailedfees',
          name: 'GroundDetailedfees',
          component: GroundDetailedfees
        },
        {
          path: '/home/SetWorking',
          name: 'SetWorking',
          component: SetWorking
        },
        {
          path: '/home/ThreeStandards',
          name: 'ThreeStandards',
          component: ThreeStandards
        },
        {
          path: '/home/OpLtinerary',
          name: 'OpLtinerary',
          component: OpLtinerary
        },
        {
          path: '/home/CarTouristGuideGroundId',
          name: 'CarTouristGuideGroundId',
          component: CarTouristGuideGroundId
        },
        {
          path: '/home/OpCarTouristGuideGroundId',
          name: 'OpCarTouristGuideGroundId',
          component: OpCarTouristGuideGroundId
        },
        {
          path: '/home/CarTouristGuideGrounContent',
          name: 'CarTouristGuideGrounContent',
          component: CarTouristGuideGrounContent
        },
        {
          path: '/home/PayReceived',
          name: 'PayReceived',
          component: PayReceived
        },
        {
          path: '/home/LncomingBills',
          name: 'LncomingBills',
          component: LncomingBills
        },
        {
          path: '/home/GroupStatus',
          name: 'GroupStatus',
          component: GroupStatus
        },
        {
          path: '/home/Sendack',
          name: 'Sendack',
          component: Sendack
        },
        {
          path: '/home/Groupreports',
          name: 'Groupreports',
          component: Groupreports
        },
        {
          path: '/home/Customers',
          name: 'Customers',
          component: Customers
        },
        {
          path: '/home/OpCustomers',
          name: 'OpCustomers',
          component: OpCustomers
        },
        {
          path: '/home/Reportstbale',
          name: 'Reportstbale',
          component: Reportstbale
        },
        {
          path: '/home/PickupList',
          name: 'PickupList',
          component: PickupList
        },
        {
          path: '/home/TaskList',
          name: 'TaskList',
          component: TaskList,
          meta: {
            keepAlive: true, //此组件需要被缓存
            isBack:false, //用于判断上一个页面是哪个
          }
        },
        {
          path: '/home/AssignTasks',
          name: 'AssignTasks',
          component: AssignTasks
        },
        {
          path: '/home/MyTasksinif',
          name: 'MyTasksinif',
          component: MyTasksinif
        },
        {
          path: '/home/test',
          name: 'test',
          component: test
        },
        {
          path: '/home/Statistically',
          name: 'Statistically',
          component: Statistically
        },
        {
          path: '/home/RvsReport',
          name: 'RvsReport',
          component: RvsReport
        },
        {
          path: '/home/Overspend',
          name: 'Overspend',
          component: Overspend
        },
        ,
        {
          path: '/home/Overspendedit',
          name: 'Overspendedit',
          component: Overspendedit
        },
        {
          path: '/home/backwardtabke',
          name: 'backwardtabke',
          component: backwardtabke
        },
        {
          path: '/home/royaltypg',
          name: 'royaltypg',
          component: royaltypg
        },
      ]
    },
    {
      path: '/Enroll',
      name: 'Enroll',
      component: Enroll
    }
  ]
})
